.backdrop {
  position: fixed;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  background: rgba(0, 0, 0, .6);
  z-index: 2;
}

.header-container {
  height: 30px;
  box-sizing: border-box;

  h1 {
   text-align: center;
    margin-bottom: 10px;
  }
}

.auth-error {
  text-align: center;
  color: red;
}

.modal {
  display: flex;
  justify-content: space-between;
  flex-direction: column;

  z-index: 3;
  height: 290px;
  width: 300px;
  padding: 2rem;
  background: #fff;
  margin-top: 3rem;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: linear-gradient(#FEECD1, #F9FFEA);
  border-radius: 10px;

  * {
    margin: 0;
  }
}

.button-container {
  display: flex;
  justify-content: space-around;
}

.btn {
  outline: none;
  padding: .5em 2em;
  color: #27364B;
  border: 1px solid #f19c1b;
  border-radius: 10px;
  background-color: #F9FFEA;
  font-size: 20px;
  font-weight: 600;
  cursor: pointer;
  transition: opacity 0.2s ease-in;

  &:disabled {
    opacity: 0.5;
  }

  &.close {
    background: black;
    color: white;
  }

  &:hover {
    border: 1px solid black;
  }
}

.control-container {
  display: flex;
  align-items: center;
  flex-direction: column;
}

.control {
  * {
    margin-top: 10px;
  }
}
